Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.registry
Class PluginDescriptor

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.pf.registry.Item
                  de.grogra.pf.registry.PluginDescriptor

All Implemented Interfaces:
  Manageable, PersistenceCapable, Shareable, RegistryContext, UserFields, XObject, Described, Map, java.io.Serializable

    public final class PluginDescriptor

extends Item

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static int` | `ACTIVE`
`static Node.NType.Field` | `cls$FIELD`
`static int` | `DISABLED`
`static int` | `ERROR`
`static int` | `FRESH`
`static int` | `INACTIVE`
`static int` | `MISSING_PREREQUISITE`
`static Node.NType.Field` | `version$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD, USED_BITS`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Method Summary
`static PluginDescriptor` | `createCoreDescriptor(java.io.File libDir)`
`java.lang.Object` | `get(java.lang.Object key, java.lang.Object defaultValue)` Returns the value associated with `key`.
`java.lang.ClassLoader` | `getClassLoader()`
`java.io.File` | `getConfigurationDirectory()`
`FileSystem` | `getFileSystem()`
`I18NBundle` | `getI18NBundle()`
`static PluginDescriptor` | `getInstance(java.lang.Class cls)`
`static PluginDescriptor` | `getInstance(java.lang.ClassLoader loader)`
`static PluginDescriptor` | `getInstance(java.lang.String pluginId)`
`java.lang.Object[]` | `getLibraryFiles()`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`Plugin` | `getPlugin()`
`PluginClassLoader` | `getPluginClassLoader()`
`java.lang.Object` | `getPluginDirectory()`
`java.lang.String` | `getPluginName()`
`java.lang.String` | `getPluginProvider()`
`int` | `getPluginState()`
`java.lang.String` | `getPluginVersion()`
`java.net.URL` | `getURLForResource(java.lang.String name)`
`boolean` | `loadPlugin(Registry registry, java.lang.ClassLoader parentLoader)`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`static PluginDescriptor` | `read(java.lang.String systemId, java.io.InputStream in, FileSystem fs, java.lang.Object dir)`
`protected boolean` | `readAttribute(java.lang.String uri, java.lang.String name, java.lang.String value)`
`void` | `setI18NBundle(I18NBundle bundle)`
`void` | `setPluginState(int state)`
`java.lang.String` | `toString()`

Methods inherited from class de.grogra.pf.registry.Item
`activate, activateImpl, add, add, addPluginPrerequisite, addPluginPrerequisites, addRequiredFiles, addUserItem, addUserItemWithUniqueName, addWithUniqueName, beginXA, classForName, commitXA, createItem, deactivate, deactivateImpl, deriveItems, dupUnmanagedFields, equals, findAll, findAll, findAll, findFirst, findFirst, findFirst, findMax, findMax, findMax, forAll, forAll, forAll, getAbsoluteName, getAccessor, getAccessor, getAttributes, getAttributes, getDefaultDescription, getDefaultValue, getDerivedDescription, getDescription, getDescriptionImpl, getFromResource, getItem, getLock, getParentMap, getPath, getPluginDescriptor, getRegistry, getRoot, getTransaction, getUniqueName, getWriteLock, hasEditableOptions, initPluginDescriptor, isActivated, isDirectory, isEditable, isOptionCategory, isPluginItem, isUserItem, makeUserItem, paramString, remove, removeDerivedItems, resolveItem, resolveLink, set, setDefaultDescription, setDescription, setDescription, setDirectory, setName, setNameIfNull, setOption, substitute, validate`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, edgeChanged, fieldModified, findAdjacent, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### ACTIVE

    public static final int ACTIVE

See Also:
  Constant Field Values

### cls$FIELD

    public static final Node.NType.Field cls$FIELD

### DISABLED

    public static final int DISABLED

See Also:
  Constant Field Values

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### FRESH

    public static final int FRESH

See Also:
  Constant Field Values

### INACTIVE

    public static final int INACTIVE

See Also:
  Constant Field Values

### MISSING_PREREQUISITE

    public static final int MISSING_PREREQUISITE

See Also:
  Constant Field Values

### version$FIELD

    public static final Node.NType.Field version$FIELD

Method Detail

### createCoreDescriptor

    public static PluginDescriptor createCoreDescriptor(java.io.File libDir)

### get

    public java.lang.Object get(java.lang.Object key,
                                java.lang.Object defaultValue)

  Description copied from interface: `Map`
  Returns the value associated with `key`. If there is no value associated with `key`, `defaultValue` is returned.

  Specified by:
    `get` in interface `Map`
  Overrides:
    `get` in class `Item`
  Parameters:
    `key` - a key for the map
    `defaultValue` - the default value
  Returns:
    the associated value, or `defaultValue`

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Overrides:
    `getClassLoader` in class `Item`

### getConfigurationDirectory

    public java.io.File getConfigurationDirectory()

### getFileSystem

    public FileSystem getFileSystem()

### getI18NBundle

    public I18NBundle getI18NBundle()

  Overrides:
    `getI18NBundle` in class `Item`

### getInstance

    public static PluginDescriptor getInstance(java.lang.Class cls)

### getInstance

    public static PluginDescriptor getInstance(java.lang.ClassLoader loader)

### getInstance

    public static PluginDescriptor getInstance(java.lang.String pluginId)

### getLibraryFiles

    public java.lang.Object[] getLibraryFiles()

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Item`
  Returns:
    type describing the managed fields of the class of this node

### getPlugin

    public Plugin getPlugin()

### getPluginClassLoader

    public PluginClassLoader getPluginClassLoader()

### getPluginDirectory

    public java.lang.Object getPluginDirectory()

### getPluginName

    public java.lang.String getPluginName()

### getPluginProvider

    public java.lang.String getPluginProvider()

### getPluginState

    public int getPluginState()

### getPluginVersion

    public java.lang.String getPluginVersion()

### getURLForResource

    public java.net.URL getURLForResource(java.lang.String name)

### loadPlugin

    public boolean loadPlugin(Registry registry,
                              java.lang.ClassLoader parentLoader)

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Item`
  Returns:
    new instance of class of this node

### read

    public static PluginDescriptor read(java.lang.String systemId,
                                        java.io.InputStream in,
                                        FileSystem fs,
                                        java.lang.Object dir)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### readAttribute

    protected boolean readAttribute(java.lang.String uri,
                                    java.lang.String name,
                                    java.lang.String value)
                             throws org.xml.sax.SAXException

  Overrides:
    `readAttribute` in class `Item`
  Throws:
    `org.xml.sax.SAXException`

### setI18NBundle

    public void setI18NBundle(I18NBundle bundle)

### setPluginState

    public void setPluginState(int state)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Node`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD